export default function useRecorder(canvasRef: any, draw: any): {
    startRecording: () => Promise<void>;
    cancelRecording: () => void;
    saveRecording: () => void;
    recordingDuration: number;
    initRecording: boolean;
    mediaStream: MediaStream | null;
    mediaRecorder: MediaRecorder | null;
    audio: string | null;
};
