"use strict";
exports.__esModule = true;
exports.saveRecording = exports.startRecording = void 0;
var tslib_1 = require("tslib");
function startRecording(setRecorderState) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var stream_1, err_1;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    _a.trys.push([0, 2, , 3]);
                    return [4 /*yield*/, navigator.mediaDevices.getUserMedia({ audio: true })];
                case 1:
                    stream_1 = _a.sent();
                    setRecorderState(function (prevState) {
                        return tslib_1.__assign(tslib_1.__assign({}, prevState), { initRecording: true, mediaStream: stream_1 });
                    });
                    return [3 /*break*/, 3];
                case 2:
                    err_1 = _a.sent();
                    console.log(err_1);
                    return [3 /*break*/, 3];
                case 3: return [2 /*return*/];
            }
        });
    });
}
exports.startRecording = startRecording;
function saveRecording(recorder) {
    if (recorder.state !== 'inactive')
        recorder.stop();
}
exports.saveRecording = saveRecording;
//# sourceMappingURL=recorder-controls.js.map